public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "John Helmert III" <ajak@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-plugins/live/
Date: Sat, 12 Jun 2021 18:43:59 +0000 (UTC)	[thread overview]
Message-ID: <1623523422.8e14ff1a018a8d131838439a52a4849f675aaa6a.ajak@gentoo> (raw)

commit:     8e14ff1a018a8d131838439a52a4849f675aaa6a
Author:     John Helmert III <ajak <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 12 18:34:01 2021 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Sat Jun 12 18:43:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e14ff1a

media-plugins/live: add 2021.05.22

Bug: https://bugs.gentoo.org/732598
Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 media-plugins/live/Manifest               |   1 +
 media-plugins/live/live-2021.05.22.ebuild | 108 ++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/media-plugins/live/Manifest b/media-plugins/live/Manifest
index fd63e86d4e2..f77ddb4bdae 100644
--- a/media-plugins/live/Manifest
+++ b/media-plugins/live/Manifest
@@ -1 +1,2 @@
 DIST live.2020.05.15.tar.gz 7229400 BLAKE2B 74532c178aa1044750110eb52561b99cd70874574ee84992201a145b18091d4f8475e2a299a83f0fe42c7e64483d46175fb76465a22509db3ba2633aff1327f6 SHA512 d53fb7e8c586f50e561aa361567ccd45babdbbcbe96a06d95e42a04a54b23ac3f474fefcacf94a49b604008623acf06789b92238364713853babbe356eeac4aa
+DIST live.2021.05.22.tar.gz 682749 BLAKE2B 38663f8c5dbd8cccf4e5cfe685b0eb393559195eba852fcdf6c38c7be936948d2727da91e829aedbde08eab6edb6082533d14061edfcf125d82c925bffdb9f90 SHA512 4021cbdaffb48b9b361e931fa71f89db1e116fe8c4e57df78d54493b111a8c6249431cc418a20352a45a75ef240712609eed3aa7468c6049996dd2451ae2941c

diff --git a/media-plugins/live/live-2021.05.22.ebuild b/media-plugins/live/live-2021.05.22.ebuild
new file mode 100644
index 00000000000..8d95043ecf5
--- /dev/null
+++ b/media-plugins/live/live-2021.05.22.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Libraries for standards-based RTP/RTCP/RTSP multimedia streaming"
+HOMEPAGE="http://www.live555.com/"
+SRC_URI="http://www.live555.com/liveMedia/public/${P/-/.}.tar.gz"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
+IUSE="ssl"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="
+	ssl? (
+		dev-libs/openssl:0=
+	)
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( "live-shared/README" )
+
+# Alexis Ballier <aballier@gentoo.org>, Sam James <sam@gentoo.org>
+# Be careful, bump this everytime you bump the package and the ABI has changed.
+# If you don't know, ask someone.
+# You may wish to use a site like https://abi-laboratory.pro/index.php?view=timeline&l=live555
+LIVE_ABI_VERSION=9
+SLOT="0/${LIVE_ABI_VERSION}"
+
+S="${WORKDIR}/live"
+
+src_prepare() {
+	default
+
+	cp "${FILESDIR}/config.gentoo-so-r3" "${S}/config.gentoo-so-r1" || die
+
+	# This is all legacy stuff which needs to be cleaned up
+	case ${CHOST} in
+		*-solaris*)
+			sed -i \
+				-e '/^COMPILE_OPTS /s/$/ -DSOLARIS -DXLOCALE_NOT_USED/' \
+				-e '/^LIBS_FOR_CONSOLE_APPLICATION /s/$/ -lsocket -lnsl/' \
+				live/config.gentoo-so-r1 \
+				|| die
+		;;
+		*-darwin*)
+			sed -i \
+				-e '/^COMPILE_OPTS /s/$/ -DBSD=1 -DHAVE_SOCKADDR_LEN=1/' \
+				-e '/^LINK /s/$/ /' \
+				-e '/^LIBRARY_LINK /s/=.*$/= $(CXX) -o /' \
+				-e '/^LIBRARY_LINK_OPTS /s:-shared.*$:-undefined suppress -flat_namespace -dynamiclib -install_name '"${EPREFIX}/usr/$(get_libdir)/"'$@:' \
+				-e '/^LIB_SUFFIX /s/so/dylib/' \
+				live/config.gentoo-so-r1 \
+				|| die
+		;;
+	esac
+}
+
+src_configure() {
+	# This ebuild uses its own build system
+	# We don't want to call ./configure or anything here.
+	# The only thing we can do is honour the user's SSL preference.
+	if use ssl ; then
+		sed -i 's/-DNO_OPENSSL=1//' "${S}/config.gentoo-so-r1" || die
+	fi
+
+	# Bug 718912
+	tc-export CC CXX
+
+	# And defer to the scripts that upstream provide.
+	./genMakefiles gentoo-so-r1 || die
+}
+
+src_compile() {
+	export suffix="${LIVE_ABI_VERSION}.so"
+	local link_opts="$(usex ssl "$($(tc-getPKG_CONFIG) --libs libssl libcrypto)" '') -L. ${LDFLAGS}"
+	local lib_suffix="${suffix#.}"
+
+	einfo "Beginning shared library build"
+	emake LINK_OPTS="${link_opts}" LIB_SUFFIX="${lib_suffix}"
+
+	for i in liveMedia groupsock UsageEnvironment BasicUsageEnvironment ; do
+		cd "${S}/${i}" || die
+		ln -s "lib${i}.${suffix}" "lib${i}.so" || die
+	done
+
+	einfo "Beginning programs build"
+	for i in proxyServer mediaServer ; do
+		cd "${S}/${i}" || die
+		emake LINK_OPTS="${link_opts}"
+	done
+}
+
+src_install() {
+	for library in UsageEnvironment liveMedia BasicUsageEnvironment groupsock ; do
+		dolib.so "${S}/${library}/lib${library}.${suffix}"
+		dosym "lib${library}.${suffix}" "/usr/$(get_libdir)/lib${library}.so"
+
+		insinto /usr/include/"${library}"
+		doins "${S}/${library}"/include/*h
+	done
+
+	dobin "${S}"/mediaServer/live555MediaServer
+	dobin "${S}"/proxyServer/live555ProxyServer
+}


             reply	other threads:[~2021-06-12 18:44 UTC|newest]

Thread overview: 90+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-12 18:43 John Helmert III [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-03  6:08 [gentoo-commits] repo/gentoo:master commit in: media-plugins/live/ WANG Xuerui
2021-12-17 12:00 Sam James
2021-12-17 12:00 Sam James
2021-12-17  9:20 Jakov Smolić
2021-12-17  9:20 Jakov Smolić
2021-12-17  8:01 Arthur Zamarin
2021-12-17  7:33 Arthur Zamarin
2021-10-17 16:08 John Helmert III
2021-08-26 21:54 John Helmert III
2021-08-25  4:23 Agostino Sarubbo
2021-08-21  8:44 Marek Szuba
2021-08-11 11:19 Agostino Sarubbo
2021-08-11 11:18 Agostino Sarubbo
2021-08-11  0:05 Sam James
2021-08-11  0:04 Sam James
2021-05-01 10:02 Mikle Kolyada
2021-04-19 20:54 Sam James
2021-04-13  0:26 Sam James
2021-01-06 14:27 Fabian Groffen
2020-10-13  9:26 Agostino Sarubbo
2020-10-09  8:41 Agostino Sarubbo
2020-10-09  8:36 Agostino Sarubbo
2020-10-09  8:35 Agostino Sarubbo
2020-10-08 19:41 Sam James
2020-10-08 18:53 Sam James
2020-07-09 12:37 Sam James
2020-06-19 15:27 Thomas Deutschmann
2020-06-19 15:27 Thomas Deutschmann
2020-06-19 15:27 Thomas Deutschmann
2020-06-19 15:27 Thomas Deutschmann
2020-06-19 15:27 Thomas Deutschmann
2020-05-14 22:09 Thomas Deutschmann
2020-04-23  6:29 Agostino Sarubbo
2020-04-23  6:26 Agostino Sarubbo
2020-04-23  6:24 Agostino Sarubbo
2020-04-23  6:21 Agostino Sarubbo
2020-04-23  6:20 Agostino Sarubbo
2020-04-20 17:05 Sergei Trofimovich
2020-04-19 11:17 Mart Raudsepp
2020-03-31  8:39 Joonas Niilola
2018-07-20 15:27 Alexis Ballier
2018-06-18 19:06 Andreas Sturmlechner
2018-04-26  8:31 Mikle Kolyada
2018-04-02 21:32 Sergei Trofimovich
2018-03-05 14:52 Tobias Klausmann
2018-02-25 18:21 Thomas Deutschmann
2018-02-24  8:55 Sergei Trofimovich
2018-02-24  7:20 Jason Zaman
2018-02-23 23:17 Sergei Trofimovich
2018-02-09 11:39 Alexis Ballier
2017-10-08 11:46 Alexis Ballier
2017-07-21  9:03 Alexis Ballier
2017-07-08  9:20 Alexis Ballier
2017-05-30 10:56 Alexis Ballier
2017-05-30  7:00 Alexis Ballier
2017-04-27 10:08 Alexis Ballier
2017-04-19  6:52 Jeroen Roovers
2017-04-11  4:42 Alexis Ballier
2017-03-15  7:40 Michael Weber
2017-03-03 19:02 Markus Meier
2017-03-02 10:30 Agostino Sarubbo
2017-03-01 13:43 Tobias Klausmann
2017-01-28 20:13 Alexis Ballier
2016-12-17 12:28 Alexis Ballier
2016-10-25 11:08 Alexis Ballier
2016-10-25 11:08 Alexis Ballier
2016-09-23 10:50 Alexis Ballier
2016-09-14 16:52 Alexis Ballier
2016-09-06 14:17 Alexis Ballier
2016-08-27 18:30 Alexis Ballier
2016-07-22 15:20 Alexis Ballier
2016-06-30  8:30 Alexis Ballier
2016-06-30  8:30 Alexis Ballier
2016-05-24  7:56 Alexis Ballier
2016-04-05 11:20 Alexis Ballier
2016-03-22 11:20 Alexis Ballier
2016-03-05 12:04 Alexis Ballier
2016-02-09  8:45 Alexis Ballier
2016-02-09  8:45 Alexis Ballier
2016-02-09  8:45 Alexis Ballier
2016-01-30 15:56 Alexis Ballier
2016-01-28 18:25 Alexis Ballier
2016-01-23 13:18 Alexis Ballier
2016-01-19 11:35 Alexis Ballier
2015-12-28  7:39 Alexis Ballier
2015-11-14 11:34 Alexis Ballier
2015-11-07 19:08 Alexis Ballier
2015-10-20 14:13 Alexis Ballier
2015-09-04 16:34 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1623523422.8e14ff1a018a8d131838439a52a4849f675aaa6a.ajak@gentoo \
    --to=ajak@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox